EDIT - bug #7375

AdvancedBeanlnitializer misses out inititializing Contact details

04/27/2018 08:43 AM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal Found in Version:

Description

When using complex init-strategies the AdvancedBeanlnitializer can fail to initialize e.g. Faxnumbers of contact.

This issue is being reproduced by the test AdvancedBeanlnitializerTest.testComplexPath() whereas
eu.etaxonomy.cdm.persistence.dao.initializer.AdvancedBeanlnitializerTest.testPersonContacts() does not fail.

Related issues:

Related to EDIT - bug #10293: Person search results does not show identifier ... Worksforme

Associated revisions

Revision 0e51473b - 04/27/2018 09:07 AM - Andreas Kohlbecker

more bean initialization tests & found bug ref #7375

History

#1 - 04/27/2018 09:04 AM - Andreas Kohlbecker

- Description updated

#2 - 04/27/2018 09:04 AM - Andreas Kohlbecker

- Description updated

#3 - 12/05/2020 11:53 AM - Andreas Miiller
- Description updated

- Target version changed from Unassigned CDM tickets to Release 5.19

#4 - 01/27/2021 03:43 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#5 - 03/10/2021 02:35 PM - Andreas Miller

- Target version changed from Release 5.21 to Release 5.22

#6 - 04/16/2021 09:46 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.46

#7 - 03/29/2023 02:35 PM - Katja Luther

- Related to bug #10293: Person search results does not show identifier correctly added
